/*
    lsadl is a frontend/wrapper to the adl_sdk using gtk
    Copyright (C) 2011  Sterling Pickens

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBALS_H
#define GLOBALS_H 1
#include <stdio.h>
#include <dlfcn.h>  //dlopen, dlsym, dlclose
#include <stdlib.h>
#include <stdio.h>
#include <string.h> //memeset
#include <unistd.h> //sleep
#include "config.h"

#define LSADL_FUNCS 170
#define FUNC_MISSING_FROM_API 0
#define FUNC_FOUND_IN_API 1
#define FUNC_DISABLED_BY_LSADL 2

//void *__stdcall ADL_Main_Memory_Alloc(int iSize);
//void __stdcall ADL_Main_Memory_Free(void **lpBuffer);

void Sleep(int time);
void *GetProcAddress(void *pLibrary, const char *name);


#endif